> ## Documentation Index
> Fetch the complete documentation index at: https://docs.semicola.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Products projected from the source’s committed avails



## OpenAPI

````yaml /openapi/storefront.yaml get /api/v2/storefront/inventory-sources/{id}/modular/products
openapi: 3.1.0
info:
  title: Semicola Exchange storefront API
  version: 2.0.0
  description: >-
    Seller (storefront) endpoints: storefront setup, inventory sources,
    products, AI Business Rules, playbook, demand inbox, proposals, approvals
    and seller reporting.
servers:
  - url: https://api.semicola.com
security:
  - bearerAuth: []
  - sessionCookie: []
tags:
  - name: Storefront
  - name: Inventory Sources
  - name: Publisher Domains
  - name: Products
  - name: Business Rules
  - name: Playbook
  - name: Library
  - name: Demand Inbox
  - name: Proposals
  - name: Approvals
  - name: Creative Reviews
  - name: Media Buys
  - name: Buyers
  - name: Reporting
  - name: Activity
  - name: Test Runs
paths:
  /api/v2/storefront/inventory-sources/{id}/modular/products:
    get:
      tags:
        - Inventory Sources
      summary: Products projected from the source’s committed avails
      operationId: getStorefrontInventorySourcesByIdModularProducts
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    anyOf:
                      - type: object
                        properties:
                          products:
                            type: array
                            items:
                              type: object
                              properties:
                                productId:
                                  type: string
                                availId:
                                  type: string
                                collectionId:
                                  type: string
                                collectionName:
                                  type: string
                                name:
                                  type: string
                                description:
                                  type: string
                                channel:
                                  type:
                                    - string
                                    - 'null'
                                formatOptions:
                                  type: array
                                  items:
                                    type: object
                                    propertyNames:
                                      type: string
                                    additionalProperties: {}
                                publisherProperties:
                                  type: array
                                  items:
                                    type: object
                                    propertyNames:
                                      type: string
                                    additionalProperties: {}
                                startTime:
                                  type: string
                                endTime:
                                  type: string
                                impressionsCapacity:
                                  type: integer
                                  minimum: -9007199254740991
                                  maximum: 9007199254740991
                                heldImpressions:
                                  type: integer
                                  minimum: -9007199254740991
                                  maximum: 9007199254740991
                                bookedImpressions:
                                  type: integer
                                  minimum: -9007199254740991
                                  maximum: 9007199254740991
                                availableImpressions:
                                  type: integer
                                  minimum: -9007199254740991
                                  maximum: 9007199254740991
                                cpm:
                                  type:
                                    - number
                                    - 'null'
                                currency:
                                  type:
                                    - string
                                    - 'null'
                                targeting:
                                  type: object
                                  propertyNames:
                                    type: string
                                  additionalProperties: {}
                                sourceMetadata:
                                  type: object
                                  propertyNames:
                                    type: string
                                  additionalProperties: {}
                                cadent:
                                  type: 'null'
                                active:
                                  type: boolean
                              required:
                                - productId
                                - availId
                                - collectionId
                                - collectionName
                                - name
                                - description
                                - channel
                                - formatOptions
                                - publisherProperties
                                - startTime
                                - endTime
                                - impressionsCapacity
                                - heldImpressions
                                - bookedImpressions
                                - availableImpressions
                                - cpm
                                - currency
                                - targeting
                                - sourceMetadata
                                - cadent
                                - active
                              additionalProperties: false
                        required:
                          - products
                        additionalProperties: false
                      - type: 'null'
                  error:
                    anyOf:
                      - type: object
                        properties:
                          code:
                            type: string
                          message:
                            type: string
                          field:
                            type: string
                          details: {}
                        required:
                          - code
                          - message
                        additionalProperties: false
                      - type: 'null'
                required:
                  - data
                  - error
                additionalProperties: false
        default:
          description: >-
            Error envelope `{data: null, error: {code, message, field?,
            details?}}`.
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key or OAuth access token.
    sessionCookie:
      type: apiKey
      in: cookie
      name: sc_session

````